# Πρόγραμμα Υπολογισμού Μέσου Όρου Βαθμολογίας Φοιτητών
 
# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Υπολογισμού Μέσου Όρου Βαθμολογίας Φοιτητών")
print()

# Εισαγωγή από το χρήστη του αριθμού συμμετεχόντων φοιτητών στις εξετάσεις 
arithmos_symmetexonton=int(input("Εισάγετε τον αριθμό των φοιτητών που \
συμμετείχαν στις εξετάσεις; "))
print()

# Αρχικοποίηση μετρητή με την τιμή 0
arithmos_epitixonton=0
athrisma_bathmon=0

# Χρήση εντολής επανάληψης for
# Η μεταβλητή i θα λάβει διαδοχικά όλες τις τιμές
# μεταξύ 1 και arithmos_symmetexonton
for i in range(1,arithmos_symmetexonton+1,1):
    # Εισαγωγή ενός βαθμού φοιτητή
    print("Εισάγετε τον βαθμό του",i,"ου φοιτητή:")
    bathmos=int(input())
    athrisma_bathmon=athrisma_bathmon + bathmos
    # Εάν ο βαθμός είναι ίσος ή μεγαλύτερος του 5 τότε αύξηση του μετρητή κατά 1
    if bathmos>=5:
        arithmos_epitixonton=arithmos_epitixonton+1
        
print()
print("Ο αριθμός των επιτυχόντων φοιτητών είναι:", arithmos_epitixonton)
pososto=100*arithmos_epitixonton/arithmos_symmetexonton
print("Το ποσοστό επιτυχίας ήταν: ", '%.2f' %pososto ,"%")
mesos_oros=athrisma_bathmon/arithmos_symmetexonton
print("Ο μέσος όρος βαθμολογίας ήταν: ", '%.2f' %mesos_oros)

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα Υπολογισμού \
Μέσου Όρου  Βαθμολογίας Φοιτητών") 


    
